package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="HeadRup_T")
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class HeadRup extends BaseTransaction{

	@Caption(value="Kode Head Rup")
	@Column(name="kdHeadRup", length = 50)
	private String kdHeadRup;
	
	@Column(name = "Tanggal", nullable = true )
	private Date tanggal;
	

	public String getKdHeadRup() {
		return kdHeadRup;
	}

	public void setKdHeadRup(String kdHeadRup) {
		this.kdHeadRup = kdHeadRup;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	
	
	

}
